/* _dict.cc 14/08/1996 15.00.36 */
/* cron.cc 08/01/1999 23.36.04 */
int cron_install (const char *user, const char *options);
void cron_edit (const char *user, const char *suggest[][2]);
void cron_edit (const char *user);
int cron_isempty (const char *user);
int cron_addcmd (const char *user,
	 const char *cmd,
	 const char *minutes,
	 const char *hour,
	 const char *dmonths,
	 const char *dweeks,
	 const char *months);
int cron_delcmd (const char *user, const char *cmd);
/* fileowner.cc 13/12/1999 21.53.12 */
/* group.cc 12/12/1999 22.12.46 */
const char *group_gethomebase (const char *gname);
bool group_homeneeded (const char *gname);
int group_getcreateperm (const char *gname);
/* groups.cc 12/12/1999 22.12.46 */
void groups_edit (void);
int group_getcreate (const char *name, const char *reason);
int groups_getpop (void);
int groups_getppp (void);
int groups_getslip (void);
int groups_getuucp (void);
int groups_add (const char *name);
int groups_del (const char *name);
/* helpf.cc 14/08/1996 15.01.30 */
/* internal.cc 27/08/1995 12.26.28 */
/* passwd_chat.cc 24/06/1999 13.08.06 */
/* passwd_valid.cc 12/12/1999 22.04.58 */
const char *policies_getdefhome (void);
int policies_getcreateperm (void);
const char *policies_getcreatecmd (void);
bool policies_privgroup (void);
const char *policies_getpostdeletecmd (void);
const char *policies_getdeletecmd (void);
const char *policies_getarchivecmd (void);
/* perm.cc 06/01/2000 00.22.48 */
void passwd_sethook (int (*_fct_check)(const char *user),
	 int (*_fct_change)(const char *user, bool pre_authenticated),
	 int (*_fct_check_pair)(const char *user, const char *passwd));
void perm_forceok (void);
int perm_validpass (USERS&users,
	 const char *username,
	 const char *pass);
int perm_validpass (const char *username, const char *pass);
void perm_setaccess (const char *username, const char *password);
int perm_checkpass (void);
PRIVILEGE *perm_setdefprivi (PRIVILEGE *priv);
PRIVILEGE *perm_getdefprivi (void);
void perm_setbypass (int _b);
int perm_rootaccess (const char *ctl, ...);
int perm_access (PRIVILEGE *priv, const char *ctl, ...);
int perm_checkpriv (PRIVILEGE *priv);
void perm_sethtml (bool _mode);
/* privi.cc 12/12/1999 22.09.12 */
void privilege_setdialog (DIALOG&dia,
	 const char *user,
	 PRIVILEGE_DATAS&tb);
int privilege_validate (PRIVILEGE_DATAS&, int &nof);
PRIVILEGE *privilege_lookup (const char *id);
int privilege_save (const char *user,
	 PRIVILEGE_DATAS&tb,
	 PRIVILEGE *priv);
USERACCT_COMNG *privi_newcomng (const char *key, DICTIONARY&dict);
/* shadow.cc 01/05/1998 15.19.00 */
int shadow_exist (void);
/* shells.cc 04/05/1999 11.53.22 */
bool shells_isok (const char *path);
bool shells_exist (const char *path);
void shells_edituser (void);
void shells_editppp (void);
void shells_editslip (void);
int shells_isppp (const char *path);
int shells_isslip (const char *path);
const SSTRINGS *shells_getuserlist (void);
const SSTRINGS *shells_getppplist (void);
const SSTRINGS *shells_getsliplist (void);
const char *shells_getuucpdefault (void);
const SSTRINGS *shells_getuucplist (void);
const char *shells_getdefault (void);
const char *shells_getpppdefault (void);
const char *shells_getslipdefault (void);
/* special.cc 09/12/1996 16.22.12 */
int special_init (const char *group, USER *&special);
PRIVILEGE *special_getpriv (const char *group);
/* upass.cc 28/07/1999 17.41.46 */
void upass_setintro (DIALOG&dia, const char *server);
void upass_setend (DIALOG&dia);
void userconf_editupass (USERS&users, const char *server);
void userconf_editupass (void);
/* user.cc 13/12/1999 21.53.14 */
int user_splitline (const char *line, char words[9][100]);
bool user_isadmin (const char *loginid);
int pass_isweak (const char *pass);
/* user1.cc 10/05/1999 23.12.24 */
/* usercomng.cc 12/12/1999 22.09.12 */
/* userconf.cc 12/12/1999 22.10.52 */
const char *userconf_getprivsection (void);
void userconf_edit (void);
int userconf_passwd (int argc, char *argv[]);
const char *userconf_getusage (void);
int userconf_main (int argc, char *argv[]);
void userconf_listspc (void);
/* users.cc 29/12/1999 23.59.58 */
void users_sethook (int (*_user_fct_del)(USER *, SHADOW *),
	 int (*_user_fct_add)(USER *, SHADOW *, bool),
	 int (*_user_fct_mod)(USER *, SHADOW *));
void users_edit (USER *special, PRIVILEGE *priv, unsigned may_edit);
int users_addone (const char *name,
	 const char *group,
	 const char *fullname);
int user_exist (const char *name);
int users_editone (const char *name,
	 const char *group,
	 const char *fullname);
int users_add (const char *id,
	 const char *group,
	 const char *name,
	 const char *shell);
int users_del (const char *id);
